#ifndef TMDisplayingShowClusterTypes_H
#define TMDisplayingShowClusterTypes_H

#include "TMDisplaying.h"

class TGTextButton;

class TMDisplayingShowClusterTypes : public TMDisplaying {

 public:
  TMDisplayingShowClusterTypes(const Char_t *frameName, const TGWindow *p, UInt_t width, UInt_t height, TMHistogramming *hist, UInt_t id, UInt_t plotNr, UInt_t cloneId);
  virtual ~TMDisplayingShowClusterTypes();

  virtual void   CreateShowFrame();
  virtual Bool_t ProcessMessage(Long_t msg, Long_t parm1, Long_t parm2);
  virtual void   ProcessOpenClusterTypeFrame();


 protected:

  TGTextButton *fShowButton;

  enum additionalIDs {SHOW=1000};

  ClassDef(TMDisplayingShowClusterTypes, 0)
};

#endif
